Bug 136172 - yum will not run
Summary: yum will not run
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
: 136218 136242 136280 136297 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 14:59 UTC by David Torres
Modified: 2018-12-03 16:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 15:01:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Torres 2004-10-18 14:59:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
After updating yum to version 2.1.8-1 from 2.1.6-1 I check for the
version and recieve a error.  Testing further I try to update and
recieve the same error.  

Version-Release number of selected component (if applicable):
yum-2.1.8-1

How reproducible:
Always

Steps to Reproduce:
1.type in yum --version
or
2.type in yum check-update
or
3.type in yum
    

Actual Results:  I recieve a Traceback after all three.  

Expected Results:  1.  I expect yum version to be output
2.  I expect the repositories to be checked
3.  I expect an output of the valid commands for yum

Additional info:

10:01:18 root@/home/verbena $ yum --version
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
ImportError: No module named yummain
10:01:22 root@/home/verbena $ yum check-update
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
ImportError: No module named yummain
10:01:28 root@/home/verbena $ yum
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
ImportError: No module named yummain
10:01:30 root@/home/verbena $

Comment 1 Seth Vidal 2004-10-18 15:01:45 UTC
known, fixed,

http://people.redhat.com/~katzj/yum-2.1.9-1.noarch.rpm



Comment 2 Seth Vidal 2004-10-18 19:18:51 UTC
*** Bug 136218 has been marked as a duplicate of this bug. ***

Comment 3 Seth Vidal 2004-10-18 20:35:02 UTC
*** Bug 136242 has been marked as a duplicate of this bug. ***

Comment 4 Bill Nottingham 2004-10-19 04:50:51 UTC
*** Bug 136280 has been marked as a duplicate of this bug. ***

Comment 5 Emmanuel Thomé 2004-10-19 10:43:56 UTC
*** Bug 136297 has been marked as a duplicate of this bug. ***

Comment 6 Roozbeh Pournader 2004-10-19 10:59:32 UTC
I really consider this a security problem. A user named skivdal may be
able to do some bad things. i don't know if this matters if it's
already fixed.


Note You need to log in before you can comment on or make changes to this bug.